org.jbpm.services.api.admin

## Interface TaskNotification

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    TaskNotificationImpl

      public interface TaskNotification
      extends Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getBusinessAdministrators()` Returns list of business admins that notification will be sent to
    `String` | `getContent()` Returns the content for this notification
    `Date` | `getDate()` Returns date that the notification is schedule to happen
    `Long` | `getId()` Returns unique id of the task notification
    `String` | `getName()` Returns optional name of the notification
    `List<org.kie.api.task.model.OrganizationalEntity>` | `getRecipients()` Returns list of recipients that notification will be sent to
    `String` | `getSubject()` Returns the subject line for this notification
    `boolean` | `isActive()` Returns if given notification is active

- - ### Method Detail

    - #### getId

          Long getId()

      Returns unique id of the task notification

    - #### getName

          String getName()

      Returns optional name of the notification

    - #### getDate

          Date getDate()

      Returns date that the notification is schedule to happen

    - #### getRecipients

          List<org.kie.api.task.model.OrganizationalEntity> getRecipients()

      Returns list of recipients that notification will be sent to

    - #### getBusinessAdministrators

          List<org.kie.api.task.model.OrganizationalEntity> getBusinessAdministrators()

      Returns list of business admins that notification will be sent to

    - #### getSubject

          String getSubject()

      Returns the subject line for this notification

    - #### getContent

          String getContent()

      Returns the content for this notification

    - #### isActive

          boolean isActive()

      Returns if given notification is active

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.